Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1122219 - Review Request: nodejs-defs - Static scope analysis and transpilation
Summary: Review Request: nodejs-defs - Static scope analysis and transpilation
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1122209 1122210 1122213 1122237 1122238 1122242 1122243 1122246 1122248
Blocks: nodejs-reviews 1122235 1122236
TreeView+ depends on / blocked
 
Reported: 2014-07-22 19:04 UTC by Ralph Bean
Modified: 2014-08-15 02:46 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-25 20:39:07 UTC
panemade: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Ralph Bean 2014-07-22 19:04:27 UTC
Spec URL: http://ralph.fedorapeople.org//nodejs-defs.spec
SRPM URL: http://ralph.fedorapeople.org//nodejs-defs-1.0.0-1.fc20.src.rpm

Description:
Static scope analysis and transpilation of ES6 block scoped const and let
variables, to ES3

Node already supports `const` and `let` so you can use that today (run
`node --harmony` and `"use strict"`). `defs.js` enables you to do the same
for browser code. While developing you can rely on the experimental support
in Chrome (chrome://flags, check Enable experimental JavaScript). `defs.js`
is also a pretty decent static scope analyzer/linter.

Comment 1 Parag AN(पराग) 2014-07-25 17:05:07 UTC
Review:

+ mock build is successful for f22.

+ rpmlint output on rpms gave
nodejs-defs.noarch: W: spelling-error Summary(en_US) transpilation -> transpiration, transplantation, transportation
nodejs-defs.noarch: W: spelling-error %description -l en_US transpilation -> transpiration, transplantation, transportation
nodejs-defs.noarch: W: spelling-error %description -l en_US const -> cons, cont, cost
nodejs-defs.noarch: W: spelling-error %description -l en_US js -> dis, ks, j
nodejs-defs.noarch: W: spelling-error %description -l en_US linter -> liner, liter, inter
nodejs-defs.noarch: W: only-non-binary-in-usr-lib
nodejs-defs.noarch: W: dangling-symlink /usr/lib/node_modules/defs/node_modules/breakable /usr/lib/node_modules/breakable
nodejs-defs.noarch: W: dangling-symlink /usr/lib/node_modules/defs/node_modules/tryor /usr/lib/node_modules/tryor
nodejs-defs.noarch: W: dangling-symlink /usr/lib/node_modules/defs/node_modules/stringmap /usr/lib/node_modules/stringmap
nodejs-defs.noarch: W: dangling-symlink /usr/lib/node_modules/defs/node_modules/stringset /usr/lib/node_modules/stringset
nodejs-defs.noarch: W: dangling-symlink /usr/lib/node_modules/defs/node_modules/simple-fmt /usr/lib/node_modules/simple-fmt
nodejs-defs.noarch: W: dangling-symlink /usr/lib/node_modules/defs/node_modules/ast-traverse /usr/lib/node_modules/ast-traverse
nodejs-defs.noarch: W: dangling-symlink /usr/lib/node_modules/defs/node_modules/esprima /usr/lib/node_modules/esprima
nodejs-defs.noarch: W: dangling-symlink /usr/lib/node_modules/defs/node_modules/simple-is /usr/lib/node_modules/simple-is
nodejs-defs.noarch: W: dangling-symlink /usr/lib/node_modules/defs/node_modules/alter /usr/lib/node_modules/alter
nodejs-defs.noarch: W: dangling-symlink /usr/lib/node_modules/defs/node_modules/yargs /usr/lib/node_modules/yargs
nodejs-defs.src: W: spelling-error Summary(en_US) transpilation -> transpiration, transplantation, transportation
nodejs-defs.src: W: spelling-error %description -l en_US transpilation -> transpiration, transplantation, transportation
nodejs-defs.src: W: spelling-error %description -l en_US const -> cons, cont, cost
nodejs-defs.src: W: spelling-error %description -l en_US js -> dis, ks, j
nodejs-defs.src: W: spelling-error %description -l en_US linter -> liner, liter, inter
2 packages and 0 specfiles checked; 0 errors, 21 warnings.

+ Source verified with upstream as (sha256sum)
srpm tarball     :dbd7631d98d6f8f1f3fcb09eac1e90e928590e7ae7065e425ea2303bd6addcbc
upstream tarball :dbd7631d98d6f8f1f3fcb09eac1e90e928590e7ae7065e425ea2303bd6addcbc

+ License "MIT" is valid and is included in its own file as %doc

+ rest looks following packaging guidelines.

APPROVED.

Comment 2 Ralph Bean 2014-07-25 17:49:32 UTC
New Package SCM Request
=======================
Package Name: nodejs-defs
Short Description: Static scope analysis and transpilation
Upstream URL: https://npmjs.org/package/defs
Owners: ralph
Branches: f21,f20,f19,epel7
InitialCC:

Comment 3 Gwyn Ciesla 2014-07-25 18:35:57 UTC
Git done (by process-git-requests).

Comment 4 Fedora Update System 2014-07-25 20:31:11 UTC
nodejs-defs-1.0.0-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/nodejs-defs-1.0.0-1.fc20

Comment 5 Fedora Update System 2014-07-25 20:31:22 UTC
nodejs-defs-1.0.0-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/nodejs-defs-1.0.0-1.fc19

Comment 6 Ralph Bean 2014-07-25 20:39:07 UTC
Buildroot overrides created.

Comment 7 Fedora Update System 2014-08-15 02:30:25 UTC
nodejs-defs-1.0.0-1.fc19 has been pushed to the Fedora 19 stable repository.

Comment 8 Fedora Update System 2014-08-15 02:46:12 UTC
nodejs-defs-1.0.0-1.fc20 has been pushed to the Fedora 20 stable repository.


Note You need to log in before you can comment on or make changes to this bug.